Download it now!
Bug 73217 - FILEOPEN : Docx containing textbox with picture fill opens as text box with empty background.
Summary: FILEOPEN : Docx containing textbox with picture fill opens as text box with e...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-02 10:10 UTC by Sushil Shinde
Modified: 2014-01-08 07:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File contains text box with image fill. (391.44 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-02 10:10 UTC, Sushil Shinde
Details
Behaviour of textbox with picture fill on libreoffice (211.77 KB, image/png)
2014-01-02 10:13 UTC, Sushil Shinde
Details
Behaviour of saved file with textbox with picture fill on ms office (244.57 KB, image/png)
2014-01-02 10:13 UTC, Sushil Shinde
Details
After fix image fill are rendered properly on Libreoffice. (255.22 KB, image/png)
2014-01-02 13:29 UTC, Sushil Shinde
Details
After fix image fill are rendered properly on MS Office 2010 (338.14 KB, image/png)
2014-01-02 13:30 UTC, Sushil Shinde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sushil Shinde 2014-01-02 10:10:27 UTC
Created attachment 91408 [details]
File contains text box with image fill.

Attached file contains Textbox with some text and background fill in image for textbox.

Steps to reproduce :
1) Create file with textbox with picture fill on MS-Office 2010 and open it on Libreoffice.
OR
1) Open attached file on Libreoffice.

Current behavior :
 - Textbox background in empty instead of picture fill.

Expeced behavior :
 - It shoud render text box with its background picturefill.

Second issue :
Save same file as docx file. If saved file opened in MS office, the backgound image data for textbox is lost.
Comment 1 Sushil Shinde 2014-01-02 10:13:02 UTC
Created attachment 91409 [details]
Behaviour of textbox with picture fill on libreoffice
Comment 2 Sushil Shinde 2014-01-02 10:13:52 UTC
Created attachment 91410 [details]
Behaviour of saved file with textbox with picture fill on ms office
Comment 3 Jorendc 2014-01-02 12:53:16 UTC
Hi Sushil,

Wow, that looks ugly :-), compared to how it should look like when opening file with Word 2010.

Lets mark it as NEW right away. I'm even going to raise this bug priority to Major. (loss of data after RT).

Thanks and all the best for 2014,
Joren
Comment 4 Sushil Shinde 2014-01-02 13:23:45 UTC
(In reply to comment #3)
> Hi Sushil,
> 
> Wow, that looks ugly :-), compared to how it should look like when opening
> file with Word 2010.
> 
> Lets mark it as NEW right away. I'm even going to raise this bug priority to
> Major. (loss of data after RT).
> 
> Thanks and all the best for 2014,
> Joren

Thank You Joren.
Happy new year and all the best for 2014.
Comment 5 Sushil Shinde 2014-01-02 13:26:49 UTC
Fixed this issue. https://gerrit.libreoffice.org/#/c/7259/1
Now image fills are rendered and exported properly.

Adding screenshots after fix.
Comment 6 Sushil Shinde 2014-01-02 13:29:57 UTC
Created attachment 91415 [details]
After fix image fill are rendered properly on Libreoffice.
Comment 7 Sushil Shinde 2014-01-02 13:30:42 UTC
Created attachment 91416 [details]
After fix image fill are rendered properly on MS Office 2010
Comment 8 Commit Notification 2014-01-06 10:25:26 UTC
sushil_shinde committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=854d7a1cc77b82ef6b5d72a7889743c1ebe6fe6e

fdo#73217  : Textbox with picture fill are rendered and saved properly.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Sushil Shinde 2014-01-08 07:44:32 UTC
Changes has been merged to master for this fix.